summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authordasbaumwolltier2019-10-06 18:17:41 +0200
committerdasbaumwolltier2019-10-06 18:17:41 +0200
commitf454dca3ebaf2dd2ad0748e2aa74cf962117b468 (patch)
treea89a79a5ec57e1d9f7ac5fba4bf79f4a526c8e23 /PKGBUILD
parent5dfd09343c187b8cbfb6887216168f0e3d2ef0ea (diff)
downloadaur-f454dca3ebaf2dd2ad0748e2aa74cf962117b468.tar.gz
updated to version 1.1.0, refined default rust toolchain error handling
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD8
1 files changed, 7 insertions, 1 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 6082a549c57..03642acbdb9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Gabriel Guldner <gabriel at guldner dot eu>
pkgname=git-interactive-rebase-tool
-pkgver=1.0.0
+pkgver=1.1.0
pkgrel=1
pkgdesc='Native cross platform full feature terminal based sequence editor for git interactive rebase. Written in Rust using ncurses.'
arch=('x86_64')
@@ -18,8 +18,14 @@ prepare() {
git checkout tags/$pkgver
git clean -dfx
}
+
build() {
cd $pkgname
+
+ if [ $(rustup default > /dev/null 2>&1; echo $?) -ne 0 ]; then
+ rustup default stable
+ fi
+
cargo build --release
}